/*
% A basic hello shader.
author: Alex Lemke
date: 4/20/12
*/

float4x4 WorldViewProj : WORLDVIEWPROJECTION;
float4 Color : COLOR < string UIWidget = "Color"; >;


float4 mainVS(float3 pos : POSITION) : POSITION
{
	return mul(float4(pos.xyz, 1.0), WorldViewProj);
}

float4 mainPS() : COLOR 
{
	return float4(Color);
}

technique technique0 {
	pass p0 {
		CullMode = None;
		VertexShader = compile vs_2_0 mainVS();
		PixelShader = compile ps_2_0 mainPS();
	}
}
