/*
% A basic hello shader with structs.
author: Alex Lemke
date: 4/20/12
*/

float4x4 WorldViewProj : WORLDVIEWPROJECTION;
float4 Color : COLOR < string UIWidget = "Color"; >;

struct VS_INPUT
{
	float4 Position : POSITION0;
};

struct VS_OUTPUT
{
	float4 Position : POSITION0;
};

VS_OUTPUT mainVS(VS_INPUT input) : POSITION
{
	VS_OUTPUT output;
	output.Position =  mul(float4(input.Position.xyz, 1.0), WorldViewProj);
	return output;
}

float4 mainPS(VS_OUTPUT input) : COLOR {
	return float4(Color);
}

technique technique0 {
	pass p0 {
		CullMode = None;
		VertexShader = compile vs_2_0 mainVS();
		PixelShader = compile ps_2_0 mainPS();
	}
}
